Description

In all my projects (and others as well) on http://dev.keltia.net, I can not modify the SCM type/path in Settings/Repository, both the

button and text fields are greyed out.  Is this expected?

Running 0.8trunk (#2614) but also present at #2361 on FreeBSD with Apache 2.2.10/mod_proxy_balancer on two thin instance. DB

is postgresql.

History

#1 - 2009-03-23 18:10 - Jean-Philippe Lang

- Tracker changed from Defect to Feature

#2 - 2009-03-24 18:52 - Ollivier Robert

What do you mean by changing "defect" into "feature"?  That it is not currently possible or that it is not designed to be changed?  Just curious BTW :)

#3 - 2009-03-25 18:26 - Jean-Philippe Lang

It was designed to not be changed.

Could you give more details about what you expect from this feature? What should happen if you change the repository type or url?

#4 - 2009-04-27 22:46 - Brian Ravnsgaard Riis

Sorry for barging in here, but I found the thread while trying to do just that, so.. :-)

Anyway, I have several projects on my local computer, all with local svn repositories. Lo and behold, my wireless lan card busts and HP wants the

computer for repairs (No charge btw.. really very nice of them!) This means that I have had to migrate my entire dev-environment to a different

machine.

For various reasons I cannot simply reformat this machine; I need it as-is. Unfortunately all my SCM entries are using a file:/// url, not a http:// one,

and now all my repositories are in D:\repos instead of C:\Users\Public\repos. Of necessity, btw. There is scant space on drive C.

Of course, I could just delete the SCM entry and restart; however, several of those repositories are mirrors of large projects, and I would hate having

to wait for the fetch_changesets method to complete again... It took a day and some last time, and I migrated to an older - and slower - computer.

So, what I was hoping to get from this feature, to answer your question, is to change the path to the repository, without losing the changesets already

fetched. Yes, it can be worked around. No, I really don't want to!

I'll go hacking through the db file now instead. :-) Where should I look? :-D

#5 - 2009-04-27 23:24 - Brian Ravnsgaard Riis

Found it. In table "repositories". Well, that makes good sense at least! :-D

FWIW I fixed my own issue by simply modifying the table entries, but this is - to say the least - quite hackish. I really think it should be possible to do

this from redmine proper. Quite possibly well hidden and probably only by user "admin", but still...

Ollivier, if you still have a problem with this, and are comfortable with regular db management, you can update it yourself. In table repositories,

columns "url" and "root_url". You might want to shut down your redmine instance first, though... ;-)

#6 - 2011-03-23 05:28 - Toshi MARUYAMA

- Priority changed from High to Low
